summaryrefslogtreecommitdiff
path: root/tools/node_modules/eslint/node_modules/chardet/scripts/release
diff options
context:
space:
mode:
authorMichaël Zasso <targos@protonmail.com>2017-12-22 16:53:42 +0100
committerMichaël Zasso <targos@protonmail.com>2018-01-11 09:48:05 +0100
commit3dc30632755713179f345f4af024bd904c6162d0 (patch)
treef28c4f6dd6dfc5992edf301449d1a371d229755b /tools/node_modules/eslint/node_modules/chardet/scripts/release
parenta2c7085dd4a8e60d1a47572aca8bb6fcb7a32f88 (diff)
downloadandroid-node-v8-3dc30632755713179f345f4af024bd904c6162d0.tar.gz
android-node-v8-3dc30632755713179f345f4af024bd904c6162d0.tar.bz2
android-node-v8-3dc30632755713179f345f4af024bd904c6162d0.zip
tools: move eslint from tools to tools/node_modules
This is required because we need to add the babel-eslint dependency and it has to be able to resolve "eslint". babel-eslint is required to support future ES features such as async iterators and import.meta. Refs: https://github.com/nodejs/node/pull/17755 PR-URL: https://github.com/nodejs/node/pull/17820 Reviewed-By: Matteo Collina <matteo.collina@gmail.com> Reviewed-By: Benjamin Gruenbaum <benjamingr@gmail.com>
Diffstat (limited to 'tools/node_modules/eslint/node_modules/chardet/scripts/release')
-rwxr-xr-xtools/node_modules/eslint/node_modules/chardet/scripts/release16
1 files changed, 16 insertions, 0 deletions
diff --git a/tools/node_modules/eslint/node_modules/chardet/scripts/release b/tools/node_modules/eslint/node_modules/chardet/scripts/release
new file mode 100755
index 0000000000..318196d533
--- /dev/null
+++ b/tools/node_modules/eslint/node_modules/chardet/scripts/release
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+# Exit immediately if a pipeline returns non-zero status
+# http://www.gnu.org/software/bash/manual/bashref.html#The-Set-Builtin
+set -e
+
+npm test
+
+if [ -n "$npm_config_major" ]; then SEMVER="major"
+elif [ -n "$npm_config_patch" ]; then SEMVER="patch"
+else SEMVER="minor"; fi
+
+npm version $SEMVER
+github-publish-release
+git push --follow-tags
+npm publish